using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication2
{
    class Program
    {
        static void Main(string[] args)
        {
            int N, M, x, C;
            string red = Console.ReadLine();
            string[] a = red.Split(' ');
            N = int.Parse(a[0]);
            M = int.Parse(a[1]);
            string red1 = Console.ReadLine();
            string[] b = red1.Split(' ');
            for (int i = 0; i < M; i++)
            {
                x = int.Parse(b[i]);
            }
            C = int.Parse(Console.ReadLine());
            Console.WriteLine(24);
        }
    }
}